using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ExternalDataSync.MOM
{
    ///临时工艺通知下发
    public class TemporaryChangeData
    {
        /// <summary>
        // 产品编码、型号
        /// </summary>
        public string productNo
        {
            get;
            set;
        } = "";
        /// <summary>
        // 产品名称
        /// </summary>
        public string productName
        {
            get;
            set;
        } = "";
        /// <summary>
        // 项目代号
        /// </summary>
        public string projectNo
        {
            get;
            set;
        } = "";
        /// <summary>
        // 项目名称
        /// </summary>
        public string projectName
        {
            get;
            set;
        } = "";
        /// <summary>
        /// 临时工艺通知单号
        /// </summary>
        public string technicalChangeOrderNo
        {
            get;
            set;
        } = "";
        /// <summary>
        // 批次数量
        /// </summary>
        public string batchQty
        {
            get;
            set;
        } = "";
        /// <summary>
        // 发放时间
        /// </summary>
        public string createOn
        {
            get;
            set;
        } = "";
        /// <summary>
        // 开始时间
        /// </summary>
        public decimal effectiveDateStart
        {
            get;
            set;
        } = 0;
        /// <summary>
        // 结束时间
        /// </summary>
        public string effectiveDateEnd
        {
            get;
            set;
        } = "";
        /// <summary>
        // 临时工艺通知单文件链接
        /// </summary>
        public string techFileUrl
        {
            get;
            set;
        } = "";
        /// <summary>
        // 原因
        /// </summary>
        public int reason
        {
            get;
            set;
        } = 0;
        /// <summary>
        // 编制
        /// </summary>
        public string staffing
        {
            get;
            set;
        } = "";
        /// <summary>
        // 编制日期
        /// </summary>
        public string staffingDate
        {
            get;
            set;
        } = "";
        /// <summary>
        // 校对
        /// </summary>
        public string proofread
        {
            get;
            set;
        } = "";
        /// <summary>
        // 校对日期
        /// </summary>
        public string proofreadDate
        {
            get;
            set;
        } = "";
        /// <summary>
        // 审核
        /// </summary>
        public string check
        {
            get;
            set;
        } = "";
        /// <summary>
        // 审核日期
        /// </summary>
        public string checkDate
        {
            get;
            set;
        } = "";
        /// <summary>
        // 会签
        /// </summary>
        public string countersign
        {
            get;
            set;
        } = "";
        /// <summary>
        // 会签日期
        /// </summary>
        public string countersignDate
        {
            get;
            set;
        } = "";
        /// <summary>
        // 批准
        /// </summary>
        public string approve
        {
            get;
            set;
        } = "";
        /// <summary>
        // 批准日期
        /// </summary>
        public string approveDate
        {
            get;
            set;
        } = "";
        /// <summary>
        // 临时工艺通知详细列表
        /// </summary>
        public List<ProductOrderLineCodeData> changeList
        {
            get;
            set;
        } = null;
        /// <summary>
        // 临时工艺文件列表
        /// </summary>
        public List<ProductOrderLineCodeData> fileList
        {
            get;
            set;
        } = null;
        /// <summary>
        // 接收部门列表
        /// </summary>
        public List<ProductOrderLineCodeData> departmentList
        {
            get;
            set;
        } = null;
        /// <summary>
        // 绑定工单列表
        /// </summary>
        public List<ProductOrderLineCodeData> wipOrderList
        {
            get;
            set;
        } = null;
    }
}
